Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GenericParam

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericParam

public class GenericParam extends Object

Java class for GenericParam complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericParam">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="paramKey" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="paramValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `paramKey`
  `protected String`
  `paramValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParamKey()`
  Gets the value of the paramKey property.
  `String`
  `getParamValue()`
  Gets the value of the paramValue property.
  `void`
  `setParamKey(String value)`
  Sets the value of the paramKey property.
  `void`
  `setParamValue(String value)`
  Sets the value of the paramValue property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### paramKey

    protected String paramKey

  - ### paramValue

    protected String paramValue

- ## Constructor Details

  - ### GenericParam

    public GenericParam()

- ## Method Details

  - ### getParamKey

    public String getParamKey()
    Gets the value of the paramKey property.
    Returns:
      possible object is `String`

  - ### setParamKey

    public void setParamKey(String value)
    Sets the value of the paramKey property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParamValue

    public String getParamValue()
    Gets the value of the paramValue property.
    Returns:
      possible object is `String`

  - ### setParamValue

    public void setParamValue(String value)
    Sets the value of the paramValue property.
    Parameters:
      `value` - allowed object is `String`